package com.sunxung.factoring.entity.financing.payment;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description:付款条件实体 <p>
 *
 * </p>
 * @Author:wanxiangZhou
 * @E-mail:zhouyu@sunxung.cn
 * @Date:2018年9月11日 上午10:32:30
 */

@TableName("payment_condition")
public class PaymentCondition extends BaseEntity {

    /**
     * 付款申请Id
     */
    private Long paymentApplyId;

    /**
     * 付款条件
     */
    private String conditionContent;

    /**
     * 是否豁免 0 不豁免 1 豁免
     */
    private Integer exempt;

    /**
     * 豁免原因
     */
    private String exemptReason;

    /**
     * 是否跟进 0不跟进 1 跟进
     */
    private Integer follow;

    /**
     * 补充说明
     */
    private String supplement;

    /**
     * 是否满足
     */
    private Integer meet;

    /**
     * 豁免时的附件
     */
    @TableField(exist = false)
    private List<FileStorage> exemptionFile = new ArrayList<>();

    /**
     * 豁免附件Id集合
     */
    @TableField(exist = false)
    private List<Long> exemptionFileIds;

    /**
     * 豁免事项跟进-资料补充-附件id
     * @return
     */
    @TableField(exist = false)
    private List<Long> fileIds;

    /**
     * 豁免事项跟进-资料补充-附件
     */
    @TableField(exist = false)
    private List<FileStorage> files = new ArrayList<>();

    public Long getPaymentApplyId() {
        return paymentApplyId;
    }

    public void setPaymentApplyId(Long paymentApplyId) {
        this.paymentApplyId = paymentApplyId;
    }

    public String getConditionContent() {
        return conditionContent;
    }

    public void setConditionContent(String conditionContent) {
        this.conditionContent = conditionContent;
    }

    public Integer getExempt() {
        return exempt;
    }

    public void setExempt(Integer exempt) {
        this.exempt = exempt;
    }

    public String getExemptReason() {
        return exemptReason;
    }

    public void setExemptReason(String exemptReason) {
        this.exemptReason = exemptReason;
    }

    public Integer getFollow() {
        return follow;
    }

    public void setFollow(Integer follow) {
        this.follow = follow;
    }

    public List<FileStorage> getExemptionFile() {
        return exemptionFile;
    }

    public void setExemptionFile(List<FileStorage> exemptionFile) {
        this.exemptionFile = exemptionFile;
    }

    public List<Long> getExemptionFileIds() {
        return exemptionFileIds;
    }

    public void setExemptionFileIds(List<Long> exemptionFileIds) {
        this.exemptionFileIds = exemptionFileIds;
    }

    public String getSupplement() {
        return supplement;
    }

    public void setSupplement(String supplement) {
        this.supplement = supplement;
    }

    public List<Long> getFileIds() {
        return fileIds;
    }

    public void setFileIds(List<Long> fileIds) {
        this.fileIds = fileIds;
    }

    public List<FileStorage> getFiles() {
        return files;
    }

    public void setFiles(List<FileStorage> files) {
        this.files = files;
    }

    public Integer getMeet() {
        return meet;
    }

    public void setMeet(Integer meet) {
        this.meet = meet;
    }
}
